-- ============================================================================
-- Copyright (C) 2010 Denis Martin <denimartin@hotmail.fr>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--
-- $Id: llx_product_discount.sql,v 1.1 14/01/2010 dmartin Exp $
-- ============================================================================

create table llx_product_discount
(
	rowid			integer			AUTO_INCREMENT	PRIMARY KEY,
	fk_customer		integer			NOT NULL, -- cle etrangere indiquant le client associe
	fk_product		integer			NOT NULL, -- cle etrangere indiquant le produit associe
	discount		real			, -- attribut indiquant la remise en pourcentages
	price			double(24,8)	, -- attribut indiquant le prix attribue
	price_base_type	varchar(3)		 -- indique le type du champ price HT ou TTC
)type=innodb;
